package ${basePackage}.module.system.ent;

import ${basePackage}.frame.excel.annotation.ColumnDescription;
import ${basePackage}.frame.excel.annotation.ColumnName;
import ${basePackage}.frame.excel.annotation.SheetName;
import ${basePackage}.frame.base.BaseEntity;

/**
 * RES - 资源
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@SheetName("资源")
public class Res extends BaseEntity {

    /**
     * RES_CODE - 资源代码
     */
    @ColumnName("资源代码")
    @ColumnDescription("")
    private String resCode;
    /**
     * RES_NAME - 资源名称
     */
    @ColumnName("资源名称")
    @ColumnDescription("")
    private String resName;
    /**
     * RES_TYPE - 资源类型
     */
    @ColumnName("资源类型")
    @ColumnDescription("")
    private String resType;
    /**
     * RES_VALUE - 资源内容
     */
    @ColumnName("资源内容")
    @ColumnDescription("")
    private String resValue;
    /**
     * SUP_CODE - 上级代码
     */
    @ColumnName("上级代码")
    @ColumnDescription("")
    private String supCode;
    /**
     * SUP_NAME - 上级名称
     */
    @ColumnName("上级名称")
    @ColumnDescription("")
    private String supName;
    /**
     * VALID - 是否有效
     */
    @ColumnName("是否有效")
    @ColumnDescription("")
    private Boolean valid;

    public String getResCode() {
        return this.resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }

    public String getResName() {
        return this.resName;
    }

    public void setResName(String resName) {
        this.resName = resName;
    }

    public String getResType() {
        return this.resType;
    }

    public void setResType(String resType) {
        this.resType = resType;
    }

    public String getResValue() {
        return this.resValue;
    }

    public void setResValue(String resValue) {
        this.resValue = resValue;
    }

    public String getSupCode() {
        return this.supCode;
    }

    public void setSupCode(String supCode) {
        this.supCode = supCode;
    }

    public String getSupName() {
        return this.supName;
    }

    public void setSupName(String supName) {
        this.supName = supName;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}